[Dune-devel] SGrid provides its DGFParser

Robert Kloefkorn robertk at posteo.de
Tue Dec 16 10:37:01 CET 2014


Hi Christoph,

thanks for the comment. I reverted the patch such that it now does the
same as before and if only the dgfparser.hh is included, then this
warning will be avoided in experimental mode.

In any case, since SGrid is deprecated you have the following options:

A) Remove any SGrid occurrence from your modules, NOW.
B) Cry out loud if you can't replace SGrid with either SPGrid or
YaspGrid and let us know why SGrid would still be needed.
C) There must be an option C, I just don't know what it could be ;-)

The dgfparser specialization should indeed be included by any grid
implementation (as it's done in AlbertaGrid and the new ALUGrid
implementation). On the other hand, somebody who does not want to use
the DGFParser, this code is still included anyway.

Best,

Rob



More information about the Dune-devel mailing list